<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddressType StructType
 * @subpackage Structs
 */
class AddressType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q23:ID
     * @var \Mnm\IDType
     */
    public $ID;
    /**
     * The Postbox
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q24:Postbox
     * @var \Mnm\PostboxType
     */
    public $Postbox;
    /**
     * The Room
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q25:Room
     * @var \Mnm\RoomType
     */
    public $Room;
    /**
     * The StreetName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q26:StreetName
     * @var \Mnm\StreetNameType
     */
    public $StreetName;
    /**
     * The BlockName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q27:BlockName
     * @var \Mnm\BlockNameType
     */
    public $BlockName;
    /**
     * The BuildingName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q28:BuildingName
     * @var \Mnm\BuildingNameType
     */
    public $BuildingName;
    /**
     * The BuildingNumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q29:BuildingNumber
     * @var \Mnm\BuildingNumberType
     */
    public $BuildingNumber;
    /**
     * The CitySubdivisionName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q30:CitySubdivisionName
     * @var \Mnm\CitySubdivisionNameType
     */
    public $CitySubdivisionName;
    /**
     * The CityName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q31:CityName
     * @var \Mnm\CityNameType
     */
    public $CityName;
    /**
     * The PostalZone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q32:PostalZone
     * @var \Mnm\PostalZoneType
     */
    public $PostalZone;
    /**
     * The Region
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q33:Region
     * @var \Mnm\RegionType
     */
    public $Region;
    /**
     * The District
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q34:District
     * @var \Mnm\DistrictType
     */
    public $District;
    /**
     * The Country
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\CountryType
     */
    public $Country;
    /**
     * Constructor method for AddressType
     * @uses AddressType::setID()
     * @uses AddressType::setPostbox()
     * @uses AddressType::setRoom()
     * @uses AddressType::setStreetName()
     * @uses AddressType::setBlockName()
     * @uses AddressType::setBuildingName()
     * @uses AddressType::setBuildingNumber()
     * @uses AddressType::setCitySubdivisionName()
     * @uses AddressType::setCityName()
     * @uses AddressType::setPostalZone()
     * @uses AddressType::setRegion()
     * @uses AddressType::setDistrict()
     * @uses AddressType::setCountry()
     * @param \Mnm\IDType $iD
     * @param \Mnm\PostboxType $postbox
     * @param \Mnm\RoomType $room
     * @param \Mnm\StreetNameType $streetName
     * @param \Mnm\BlockNameType $blockName
     * @param \Mnm\BuildingNameType $buildingName
     * @param \Mnm\BuildingNumberType $buildingNumber
     * @param \Mnm\CitySubdivisionNameType $citySubdivisionName
     * @param \Mnm\CityNameType $cityName
     * @param \Mnm\PostalZoneType $postalZone
     * @param \Mnm\RegionType $region
     * @param \Mnm\DistrictType $district
     * @param \Mnm\CountryType $country
     */
    public function __construct(\Mnm\IDType $iD = null, \Mnm\PostboxType $postbox = null, \Mnm\RoomType $room = null, \Mnm\StreetNameType $streetName = null, \Mnm\BlockNameType $blockName = null, \Mnm\BuildingNameType $buildingName = null, \Mnm\BuildingNumberType $buildingNumber = null, \Mnm\CitySubdivisionNameType $citySubdivisionName = null, \Mnm\CityNameType $cityName = null, \Mnm\PostalZoneType $postalZone = null, \Mnm\RegionType $region = null, \Mnm\DistrictType $district = null, \Mnm\CountryType $country = null)
    {
        $this
            ->setID($iD)
            ->setPostbox($postbox)
            ->setRoom($room)
            ->setStreetName($streetName)
            ->setBlockName($blockName)
            ->setBuildingName($buildingName)
            ->setBuildingNumber($buildingNumber)
            ->setCitySubdivisionName($citySubdivisionName)
            ->setCityName($cityName)
            ->setPostalZone($postalZone)
            ->setRegion($region)
            ->setDistrict($district)
            ->setCountry($country);
    }
    /**
     * Get ID value
     * @return \Mnm\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Mnm\IDType $iD
     * @return \Mnm\AddressType
     */
    public function setID(\Mnm\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Postbox value
     * @return \Mnm\PostboxType|null
     */
    public function getPostbox()
    {
        return $this->Postbox;
    }
    /**
     * Set Postbox value
     * @param \Mnm\PostboxType $postbox
     * @return \Mnm\AddressType
     */
    public function setPostbox(\Mnm\PostboxType $postbox = null)
    {
        $this->Postbox = $postbox;
        return $this;
    }
    /**
     * Get Room value
     * @return \Mnm\RoomType|null
     */
    public function getRoom()
    {
        return $this->Room;
    }
    /**
     * Set Room value
     * @param \Mnm\RoomType $room
     * @return \Mnm\AddressType
     */
    public function setRoom(\Mnm\RoomType $room = null)
    {
        $this->Room = $room;
        return $this;
    }
    /**
     * Get StreetName value
     * @return \Mnm\StreetNameType|null
     */
    public function getStreetName()
    {
        return $this->StreetName;
    }
    /**
     * Set StreetName value
     * @param \Mnm\StreetNameType $streetName
     * @return \Mnm\AddressType
     */
    public function setStreetName(\Mnm\StreetNameType $streetName = null)
    {
        $this->StreetName = $streetName;
        return $this;
    }
    /**
     * Get BlockName value
     * @return \Mnm\BlockNameType|null
     */
    public function getBlockName()
    {
        return $this->BlockName;
    }
    /**
     * Set BlockName value
     * @param \Mnm\BlockNameType $blockName
     * @return \Mnm\AddressType
     */
    public function setBlockName(\Mnm\BlockNameType $blockName = null)
    {
        $this->BlockName = $blockName;
        return $this;
    }
    /**
     * Get BuildingName value
     * @return \Mnm\BuildingNameType|null
     */
    public function getBuildingName()
    {
        return $this->BuildingName;
    }
    /**
     * Set BuildingName value
     * @param \Mnm\BuildingNameType $buildingName
     * @return \Mnm\AddressType
     */
    public function setBuildingName(\Mnm\BuildingNameType $buildingName = null)
    {
        $this->BuildingName = $buildingName;
        return $this;
    }
    /**
     * Get BuildingNumber value
     * @return \Mnm\BuildingNumberType|null
     */
    public function getBuildingNumber()
    {
        return $this->BuildingNumber;
    }
    /**
     * Set BuildingNumber value
     * @param \Mnm\BuildingNumberType $buildingNumber
     * @return \Mnm\AddressType
     */
    public function setBuildingNumber(\Mnm\BuildingNumberType $buildingNumber = null)
    {
        $this->BuildingNumber = $buildingNumber;
        return $this;
    }
    /**
     * Get CitySubdivisionName value
     * @return \Mnm\CitySubdivisionNameType|null
     */
    public function getCitySubdivisionName()
    {
        return $this->CitySubdivisionName;
    }
    /**
     * Set CitySubdivisionName value
     * @param \Mnm\CitySubdivisionNameType $citySubdivisionName
     * @return \Mnm\AddressType
     */
    public function setCitySubdivisionName(\Mnm\CitySubdivisionNameType $citySubdivisionName = null)
    {
        $this->CitySubdivisionName = $citySubdivisionName;
        return $this;
    }
    /**
     * Get CityName value
     * @return \Mnm\CityNameType|null
     */
    public function getCityName()
    {
        return $this->CityName;
    }
    /**
     * Set CityName value
     * @param \Mnm\CityNameType $cityName
     * @return \Mnm\AddressType
     */
    public function setCityName(\Mnm\CityNameType $cityName = null)
    {
        $this->CityName = $cityName;
        return $this;
    }
    /**
     * Get PostalZone value
     * @return \Mnm\PostalZoneType|null
     */
    public function getPostalZone()
    {
        return $this->PostalZone;
    }
    /**
     * Set PostalZone value
     * @param \Mnm\PostalZoneType $postalZone
     * @return \Mnm\AddressType
     */
    public function setPostalZone(\Mnm\PostalZoneType $postalZone = null)
    {
        $this->PostalZone = $postalZone;
        return $this;
    }
    /**
     * Get Region value
     * @return \Mnm\RegionType|null
     */
    public function getRegion()
    {
        return $this->Region;
    }
    /**
     * Set Region value
     * @param \Mnm\RegionType $region
     * @return \Mnm\AddressType
     */
    public function setRegion(\Mnm\RegionType $region = null)
    {
        $this->Region = $region;
        return $this;
    }
    /**
     * Get District value
     * @return \Mnm\DistrictType|null
     */
    public function getDistrict()
    {
        return $this->District;
    }
    /**
     * Set District value
     * @param \Mnm\DistrictType $district
     * @return \Mnm\AddressType
     */
    public function setDistrict(\Mnm\DistrictType $district = null)
    {
        $this->District = $district;
        return $this;
    }
    /**
     * Get Country value
     * @return \Mnm\CountryType|null
     */
    public function getCountry()
    {
        return $this->Country;
    }
    /**
     * Set Country value
     * @param \Mnm\CountryType $country
     * @return \Mnm\AddressType
     */
    public function setCountry(\Mnm\CountryType $country = null)
    {
        $this->Country = $country;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\AddressType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
