<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AllowanceChargeType StructType
 * @subpackage Structs
 */
class AllowanceChargeType extends AbstractStructBase
{
    /**
     * The ChargeIndicator
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q74:ChargeIndicator
     * @var \Mnm\ChargeIndicatorType
     */
    public $ChargeIndicator;
    /**
     * The AllowanceChargeReason
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q75:AllowanceChargeReason
     * @var \Mnm\AllowanceChargeReasonType
     */
    public $AllowanceChargeReason;
    /**
     * The MultiplierFactorNumeric
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q76:MultiplierFactorNumeric
     * @var \Mnm\MultiplierFactorNumericType
     */
    public $MultiplierFactorNumeric;
    /**
     * The SequenceNumeric
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q77:SequenceNumeric
     * @var \Mnm\SequenceNumericType
     */
    public $SequenceNumeric;
    /**
     * The Amount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q78:Amount
     * @var \Mnm\AmountType
     */
    public $Amount;
    /**
     * The BaseAmount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q79:BaseAmount
     * @var \Mnm\BaseAmountType
     */
    public $BaseAmount;
    /**
     * The PerUnitAmount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q80:PerUnitAmount
     * @var \Mnm\PerUnitAmountType
     */
    public $PerUnitAmount;
    /**
     * Constructor method for AllowanceChargeType
     * @uses AllowanceChargeType::setChargeIndicator()
     * @uses AllowanceChargeType::setAllowanceChargeReason()
     * @uses AllowanceChargeType::setMultiplierFactorNumeric()
     * @uses AllowanceChargeType::setSequenceNumeric()
     * @uses AllowanceChargeType::setAmount()
     * @uses AllowanceChargeType::setBaseAmount()
     * @uses AllowanceChargeType::setPerUnitAmount()
     * @param \Mnm\ChargeIndicatorType $chargeIndicator
     * @param \Mnm\AllowanceChargeReasonType $allowanceChargeReason
     * @param \Mnm\MultiplierFactorNumericType $multiplierFactorNumeric
     * @param \Mnm\SequenceNumericType $sequenceNumeric
     * @param \Mnm\AmountType $amount
     * @param \Mnm\BaseAmountType $baseAmount
     * @param \Mnm\PerUnitAmountType $perUnitAmount
     */
    public function __construct(\Mnm\ChargeIndicatorType $chargeIndicator = null, \Mnm\AllowanceChargeReasonType $allowanceChargeReason = null, \Mnm\MultiplierFactorNumericType $multiplierFactorNumeric = null, \Mnm\SequenceNumericType $sequenceNumeric = null, \Mnm\AmountType $amount = null, \Mnm\BaseAmountType $baseAmount = null, \Mnm\PerUnitAmountType $perUnitAmount = null)
    {
        $this
            ->setChargeIndicator($chargeIndicator)
            ->setAllowanceChargeReason($allowanceChargeReason)
            ->setMultiplierFactorNumeric($multiplierFactorNumeric)
            ->setSequenceNumeric($sequenceNumeric)
            ->setAmount($amount)
            ->setBaseAmount($baseAmount)
            ->setPerUnitAmount($perUnitAmount);
    }
    /**
     * Get ChargeIndicator value
     * @return \Mnm\ChargeIndicatorType|null
     */
    public function getChargeIndicator()
    {
        return $this->ChargeIndicator;
    }
    /**
     * Set ChargeIndicator value
     * @param \Mnm\ChargeIndicatorType $chargeIndicator
     * @return \Mnm\AllowanceChargeType
     */
    public function setChargeIndicator(\Mnm\ChargeIndicatorType $chargeIndicator = null)
    {
        $this->ChargeIndicator = $chargeIndicator;
        return $this;
    }
    /**
     * Get AllowanceChargeReason value
     * @return \Mnm\AllowanceChargeReasonType|null
     */
    public function getAllowanceChargeReason()
    {
        return $this->AllowanceChargeReason;
    }
    /**
     * Set AllowanceChargeReason value
     * @param \Mnm\AllowanceChargeReasonType $allowanceChargeReason
     * @return \Mnm\AllowanceChargeType
     */
    public function setAllowanceChargeReason(\Mnm\AllowanceChargeReasonType $allowanceChargeReason = null)
    {
        $this->AllowanceChargeReason = $allowanceChargeReason;
        return $this;
    }
    /**
     * Get MultiplierFactorNumeric value
     * @return \Mnm\MultiplierFactorNumericType|null
     */
    public function getMultiplierFactorNumeric()
    {
        return $this->MultiplierFactorNumeric;
    }
    /**
     * Set MultiplierFactorNumeric value
     * @param \Mnm\MultiplierFactorNumericType $multiplierFactorNumeric
     * @return \Mnm\AllowanceChargeType
     */
    public function setMultiplierFactorNumeric(\Mnm\MultiplierFactorNumericType $multiplierFactorNumeric = null)
    {
        $this->MultiplierFactorNumeric = $multiplierFactorNumeric;
        return $this;
    }
    /**
     * Get SequenceNumeric value
     * @return \Mnm\SequenceNumericType|null
     */
    public function getSequenceNumeric()
    {
        return $this->SequenceNumeric;
    }
    /**
     * Set SequenceNumeric value
     * @param \Mnm\SequenceNumericType $sequenceNumeric
     * @return \Mnm\AllowanceChargeType
     */
    public function setSequenceNumeric(\Mnm\SequenceNumericType $sequenceNumeric = null)
    {
        $this->SequenceNumeric = $sequenceNumeric;
        return $this;
    }
    /**
     * Get Amount value
     * @return \Mnm\AmountType|null
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param \Mnm\AmountType $amount
     * @return \Mnm\AllowanceChargeType
     */
    public function setAmount(\Mnm\AmountType $amount = null)
    {
        $this->Amount = $amount;
        return $this;
    }
    /**
     * Get BaseAmount value
     * @return \Mnm\BaseAmountType|null
     */
    public function getBaseAmount()
    {
        return $this->BaseAmount;
    }
    /**
     * Set BaseAmount value
     * @param \Mnm\BaseAmountType $baseAmount
     * @return \Mnm\AllowanceChargeType
     */
    public function setBaseAmount(\Mnm\BaseAmountType $baseAmount = null)
    {
        $this->BaseAmount = $baseAmount;
        return $this;
    }
    /**
     * Get PerUnitAmount value
     * @return \Mnm\PerUnitAmountType|null
     */
    public function getPerUnitAmount()
    {
        return $this->PerUnitAmount;
    }
    /**
     * Set PerUnitAmount value
     * @param \Mnm\PerUnitAmountType $perUnitAmount
     * @return \Mnm\AllowanceChargeType
     */
    public function setPerUnitAmount(\Mnm\PerUnitAmountType $perUnitAmount = null)
    {
        $this->PerUnitAmount = $perUnitAmount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\AllowanceChargeType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
