<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUBLExtensionType ArrayType
 * @subpackage Arrays
 */
class ArrayOfUBLExtensionType extends AbstractStructArrayBase
{
    /**
     * The UBLExtension
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Mnm\UBLExtensionType[]
     */
    public $UBLExtension;
    /**
     * Constructor method for ArrayOfUBLExtensionType
     * @uses ArrayOfUBLExtensionType::setUBLExtension()
     * @param \Mnm\UBLExtensionType[] $uBLExtension
     */
    public function __construct(array $uBLExtension = array())
    {
        $this
            ->setUBLExtension($uBLExtension);
    }
    /**
     * Get UBLExtension value
     * @return \Mnm\UBLExtensionType[]|null
     */
    public function getUBLExtension()
    {
        return $this->UBLExtension;
    }
    /**
     * Set UBLExtension value
     * @param \Mnm\UBLExtensionType[] $uBLExtension
     * @return \Mnm\ArrayOfUBLExtensionType
     */
    public function setUBLExtension(array $uBLExtension = array())
    {
        $this->UBLExtension = $uBLExtension;
        return $this;
    }
    /**
     * Add item to UBLExtension value
     * @throws \InvalidArgumentException
     * @param \Mnm\UBLExtensionType $item
     * @return \Mnm\ArrayOfUBLExtensionType
     */
    public function addToUBLExtension(\Mnm\UBLExtensionType $item)
    {
        $this->UBLExtension[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Mnm\UBLExtensionType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Mnm\UBLExtensionType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Mnm\UBLExtensionType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Mnm\UBLExtensionType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Mnm\UBLExtensionType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string UBLExtension
     */
    public function getAttributeName()
    {
        return 'UBLExtension';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\ArrayOfUBLExtensionType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
