<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactType StructType
 * @subpackage Structs
 */
class ContactType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q52:ID
     * @var \Mnm\IDType
     */
    public $ID;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q53:Name
     * @var \Mnm\NameType
     */
    public $Name;
    /**
     * The Telephone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q54:Telephone
     * @var \Mnm\TelephoneType
     */
    public $Telephone;
    /**
     * The Telefax
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q55:Telefax
     * @var \Mnm\TelefaxType
     */
    public $Telefax;
    /**
     * The ElectronicMail
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q56:ElectronicMail
     * @var \Mnm\ElectronicMailType
     */
    public $ElectronicMail;
    /**
     * The Note
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q57:Note
     * @var \Mnm\NoteType
     */
    public $Note;
    /**
     * The OtherCommunication
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Mnm\CommunicationType[]
     */
    public $OtherCommunication;
    /**
     * Constructor method for ContactType
     * @uses ContactType::setID()
     * @uses ContactType::setName()
     * @uses ContactType::setTelephone()
     * @uses ContactType::setTelefax()
     * @uses ContactType::setElectronicMail()
     * @uses ContactType::setNote()
     * @uses ContactType::setOtherCommunication()
     * @param \Mnm\IDType $iD
     * @param \Mnm\NameType $name
     * @param \Mnm\TelephoneType $telephone
     * @param \Mnm\TelefaxType $telefax
     * @param \Mnm\ElectronicMailType $electronicMail
     * @param \Mnm\NoteType $note
     * @param \Mnm\CommunicationType[] $otherCommunication
     */
    public function __construct(\Mnm\IDType $iD = null, \Mnm\NameType $name = null, \Mnm\TelephoneType $telephone = null, \Mnm\TelefaxType $telefax = null, \Mnm\ElectronicMailType $electronicMail = null, \Mnm\NoteType $note = null, array $otherCommunication = array())
    {
        $this
            ->setID($iD)
            ->setName($name)
            ->setTelephone($telephone)
            ->setTelefax($telefax)
            ->setElectronicMail($electronicMail)
            ->setNote($note)
            ->setOtherCommunication($otherCommunication);
    }
    /**
     * Get ID value
     * @return \Mnm\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Mnm\IDType $iD
     * @return \Mnm\ContactType
     */
    public function setID(\Mnm\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Name value
     * @return \Mnm\NameType|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param \Mnm\NameType $name
     * @return \Mnm\ContactType
     */
    public function setName(\Mnm\NameType $name = null)
    {
        $this->Name = $name;
        return $this;
    }
    /**
     * Get Telephone value
     * @return \Mnm\TelephoneType|null
     */
    public function getTelephone()
    {
        return $this->Telephone;
    }
    /**
     * Set Telephone value
     * @param \Mnm\TelephoneType $telephone
     * @return \Mnm\ContactType
     */
    public function setTelephone(\Mnm\TelephoneType $telephone = null)
    {
        $this->Telephone = $telephone;
        return $this;
    }
    /**
     * Get Telefax value
     * @return \Mnm\TelefaxType|null
     */
    public function getTelefax()
    {
        return $this->Telefax;
    }
    /**
     * Set Telefax value
     * @param \Mnm\TelefaxType $telefax
     * @return \Mnm\ContactType
     */
    public function setTelefax(\Mnm\TelefaxType $telefax = null)
    {
        $this->Telefax = $telefax;
        return $this;
    }
    /**
     * Get ElectronicMail value
     * @return \Mnm\ElectronicMailType|null
     */
    public function getElectronicMail()
    {
        return $this->ElectronicMail;
    }
    /**
     * Set ElectronicMail value
     * @param \Mnm\ElectronicMailType $electronicMail
     * @return \Mnm\ContactType
     */
    public function setElectronicMail(\Mnm\ElectronicMailType $electronicMail = null)
    {
        $this->ElectronicMail = $electronicMail;
        return $this;
    }
    /**
     * Get Note value
     * @return \Mnm\NoteType|null
     */
    public function getNote()
    {
        return $this->Note;
    }
    /**
     * Set Note value
     * @param \Mnm\NoteType $note
     * @return \Mnm\ContactType
     */
    public function setNote(\Mnm\NoteType $note = null)
    {
        $this->Note = $note;
        return $this;
    }
    /**
     * Get OtherCommunication value
     * @return \Mnm\CommunicationType[]|null
     */
    public function getOtherCommunication()
    {
        return $this->OtherCommunication;
    }
    /**
     * Set OtherCommunication value
     * @param \Mnm\CommunicationType[] $otherCommunication
     * @return \Mnm\ContactType
     */
    public function setOtherCommunication(array $otherCommunication = array())
    {
        $this->OtherCommunication = $otherCommunication;
        return $this;
    }
    /**
     * Add item to OtherCommunication value
     * @throws \InvalidArgumentException
     * @param \Mnm\CommunicationType $item
     * @return \Mnm\ContactType
     */
    public function addToOtherCommunication(\Mnm\CommunicationType $item)
    {
        $this->OtherCommunication[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\ContactType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
