<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CountryType StructType
 * @subpackage Structs
 */
class CountryType extends AbstractStructBase
{
    /**
     * The IdentificationCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q35:IdentificationCode
     * @var \Mnm\IdentificationCodeType
     */
    public $IdentificationCode;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q36:Name
     * @var \Mnm\NameType
     */
    public $Name;
    /**
     * Constructor method for CountryType
     * @uses CountryType::setIdentificationCode()
     * @uses CountryType::setName()
     * @param \Mnm\IdentificationCodeType $identificationCode
     * @param \Mnm\NameType $name
     */
    public function __construct(\Mnm\IdentificationCodeType $identificationCode = null, \Mnm\NameType $name = null)
    {
        $this
            ->setIdentificationCode($identificationCode)
            ->setName($name);
    }
    /**
     * Get IdentificationCode value
     * @return \Mnm\IdentificationCodeType|null
     */
    public function getIdentificationCode()
    {
        return $this->IdentificationCode;
    }
    /**
     * Set IdentificationCode value
     * @param \Mnm\IdentificationCodeType $identificationCode
     * @return \Mnm\CountryType
     */
    public function setIdentificationCode(\Mnm\IdentificationCodeType $identificationCode = null)
    {
        $this->IdentificationCode = $identificationCode;
        return $this;
    }
    /**
     * Get Name value
     * @return \Mnm\NameType|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param \Mnm\NameType $name
     * @return \Mnm\CountryType
     */
    public function setName(\Mnm\NameType $name = null)
    {
        $this->Name = $name;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\CountryType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
