<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeliveryTermsType StructType
 * @subpackage Structs
 */
class DeliveryTermsType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q93:ID
     * @var \Mnm\IDType
     */
    public $ID;
    /**
     * The SpecialTerms
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q94:SpecialTerms
     * @var \Mnm\SpecialTermsType
     */
    public $SpecialTerms;
    /**
     * The Amount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q95:Amount
     * @var \Mnm\AmountType
     */
    public $Amount;
    /**
     * Constructor method for DeliveryTermsType
     * @uses DeliveryTermsType::setID()
     * @uses DeliveryTermsType::setSpecialTerms()
     * @uses DeliveryTermsType::setAmount()
     * @param \Mnm\IDType $iD
     * @param \Mnm\SpecialTermsType $specialTerms
     * @param \Mnm\AmountType $amount
     */
    public function __construct(\Mnm\IDType $iD = null, \Mnm\SpecialTermsType $specialTerms = null, \Mnm\AmountType $amount = null)
    {
        $this
            ->setID($iD)
            ->setSpecialTerms($specialTerms)
            ->setAmount($amount);
    }
    /**
     * Get ID value
     * @return \Mnm\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Mnm\IDType $iD
     * @return \Mnm\DeliveryTermsType
     */
    public function setID(\Mnm\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get SpecialTerms value
     * @return \Mnm\SpecialTermsType|null
     */
    public function getSpecialTerms()
    {
        return $this->SpecialTerms;
    }
    /**
     * Set SpecialTerms value
     * @param \Mnm\SpecialTermsType $specialTerms
     * @return \Mnm\DeliveryTermsType
     */
    public function setSpecialTerms(\Mnm\SpecialTermsType $specialTerms = null)
    {
        $this->SpecialTerms = $specialTerms;
        return $this;
    }
    /**
     * Get Amount value
     * @return \Mnm\AmountType|null
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param \Mnm\AmountType $amount
     * @return \Mnm\DeliveryTermsType
     */
    public function setAmount(\Mnm\AmountType $amount = null)
    {
        $this->Amount = $amount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\DeliveryTermsType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
