<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEInvoiceUsers StructType
 * @subpackage Structs
 */
class GetEInvoiceUsers extends AbstractStructBase
{
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\UserInformation
     */
    public $userInfo;
    /**
     * The pagination
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\PagedQueryContext
     */
    public $pagination;
    /**
     * Constructor method for GetEInvoiceUsers
     * @uses GetEInvoiceUsers::setUserInfo()
     * @uses GetEInvoiceUsers::setPagination()
     * @param \Mnm\UserInformation $userInfo
     * @param \Mnm\PagedQueryContext $pagination
     */
    public function __construct(\Mnm\UserInformation $userInfo = null, \Mnm\PagedQueryContext $pagination = null)
    {
        $this
            ->setUserInfo($userInfo)
            ->setPagination($pagination);
    }
    /**
     * Get userInfo value
     * @return \Mnm\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Mnm\UserInformation $userInfo
     * @return \Mnm\GetEInvoiceUsers
     */
    public function setUserInfo(\Mnm\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get pagination value
     * @return \Mnm\PagedQueryContext|null
     */
    public function getPagination()
    {
        return $this->pagination;
    }
    /**
     * Set pagination value
     * @param \Mnm\PagedQueryContext $pagination
     * @return \Mnm\GetEInvoiceUsers
     */
    public function setPagination(\Mnm\PagedQueryContext $pagination = null)
    {
        $this->pagination = $pagination;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\GetEInvoiceUsers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
