<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ImportExistingInvoice StructType
 * @subpackage Structs
 */
class ImportExistingInvoice extends AbstractStructBase
{
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\UserInformation
     */
    public $userInfo;
    /**
     * The request
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\FileUploadRequest
     */
    public $request;
    /**
     * Constructor method for ImportExistingInvoice
     * @uses ImportExistingInvoice::setUserInfo()
     * @uses ImportExistingInvoice::setRequest()
     * @param \Mnm\UserInformation $userInfo
     * @param \Mnm\FileUploadRequest $request
     */
    public function __construct(\Mnm\UserInformation $userInfo = null, \Mnm\FileUploadRequest $request = null)
    {
        $this
            ->setUserInfo($userInfo)
            ->setRequest($request);
    }
    /**
     * Get userInfo value
     * @return \Mnm\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Mnm\UserInformation $userInfo
     * @return \Mnm\ImportExistingInvoice
     */
    public function setUserInfo(\Mnm\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get request value
     * @return \Mnm\FileUploadRequest|null
     */
    public function getRequest()
    {
        return $this->request;
    }
    /**
     * Set request value
     * @param \Mnm\FileUploadRequest $request
     * @return \Mnm\ImportExistingInvoice
     */
    public function setRequest(\Mnm\FileUploadRequest $request = null)
    {
        $this->request = $request;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\ImportExistingInvoice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
