<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InvoiceIdentitiesResponse StructType
 * @subpackage Structs
 */
class InvoiceIdentitiesResponse extends Response
{
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Mnm\InvoiceIdentity[]
     */
    public $Value;
    /**
     * Constructor method for InvoiceIdentitiesResponse
     * @uses InvoiceIdentitiesResponse::setValue()
     * @param \Mnm\InvoiceIdentity[] $value
     */
    public function __construct(array $value = array())
    {
        $this
            ->setValue($value);
    }
    /**
     * Get Value value
     * @return \Mnm\InvoiceIdentity[]|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * Set Value value
     * @param \Mnm\InvoiceIdentity[] $value
     * @return \Mnm\InvoiceIdentitiesResponse
     */
    public function setValue(array $value = array())
    {
        $this->Value = $value;
        return $this;
    }
    /**
     * Add item to Value value
     * @throws \InvalidArgumentException
     * @param \Mnm\InvoiceIdentity $item
     * @return \Mnm\InvoiceIdentitiesResponse
     */
    public function addToValue(\Mnm\InvoiceIdentity $item)
    {
        $this->Value[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\InvoiceIdentitiesResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
