<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ItemPropertyRangeType StructType
 * @subpackage Structs
 */
class ItemPropertyRangeType extends AbstractStructBase
{
    /**
     * The MinimumValue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q163:MinimumValue
     * @var \Mnm\MinimumValueType
     */
    public $MinimumValue;
    /**
     * The MaximumValue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q164:MaximumValue
     * @var \Mnm\MaximumValueType
     */
    public $MaximumValue;
    /**
     * Constructor method for ItemPropertyRangeType
     * @uses ItemPropertyRangeType::setMinimumValue()
     * @uses ItemPropertyRangeType::setMaximumValue()
     * @param \Mnm\MinimumValueType $minimumValue
     * @param \Mnm\MaximumValueType $maximumValue
     */
    public function __construct(\Mnm\MinimumValueType $minimumValue = null, \Mnm\MaximumValueType $maximumValue = null)
    {
        $this
            ->setMinimumValue($minimumValue)
            ->setMaximumValue($maximumValue);
    }
    /**
     * Get MinimumValue value
     * @return \Mnm\MinimumValueType|null
     */
    public function getMinimumValue()
    {
        return $this->MinimumValue;
    }
    /**
     * Set MinimumValue value
     * @param \Mnm\MinimumValueType $minimumValue
     * @return \Mnm\ItemPropertyRangeType
     */
    public function setMinimumValue(\Mnm\MinimumValueType $minimumValue = null)
    {
        $this->MinimumValue = $minimumValue;
        return $this;
    }
    /**
     * Get MaximumValue value
     * @return \Mnm\MaximumValueType|null
     */
    public function getMaximumValue()
    {
        return $this->MaximumValue;
    }
    /**
     * Set MaximumValue value
     * @param \Mnm\MaximumValueType $maximumValue
     * @return \Mnm\ItemPropertyRangeType
     */
    public function setMaximumValue(\Mnm\MaximumValueType $maximumValue = null)
    {
        $this->MaximumValue = $maximumValue;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\ItemPropertyRangeType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
