<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LineReferenceType StructType
 * @subpackage Structs
 */
class LineReferenceType extends AbstractStructBase
{
    /**
     * The LineID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q175:LineID
     * @var \Mnm\LineIDType
     */
    public $LineID;
    /**
     * The LineStatusCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q176:LineStatusCode
     * @var \Mnm\LineStatusCodeType
     */
    public $LineStatusCode;
    /**
     * The DocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\DocumentReferenceType
     */
    public $DocumentReference;
    /**
     * Constructor method for LineReferenceType
     * @uses LineReferenceType::setLineID()
     * @uses LineReferenceType::setLineStatusCode()
     * @uses LineReferenceType::setDocumentReference()
     * @param \Mnm\LineIDType $lineID
     * @param \Mnm\LineStatusCodeType $lineStatusCode
     * @param \Mnm\DocumentReferenceType $documentReference
     */
    public function __construct(\Mnm\LineIDType $lineID = null, \Mnm\LineStatusCodeType $lineStatusCode = null, \Mnm\DocumentReferenceType $documentReference = null)
    {
        $this
            ->setLineID($lineID)
            ->setLineStatusCode($lineStatusCode)
            ->setDocumentReference($documentReference);
    }
    /**
     * Get LineID value
     * @return \Mnm\LineIDType|null
     */
    public function getLineID()
    {
        return $this->LineID;
    }
    /**
     * Set LineID value
     * @param \Mnm\LineIDType $lineID
     * @return \Mnm\LineReferenceType
     */
    public function setLineID(\Mnm\LineIDType $lineID = null)
    {
        $this->LineID = $lineID;
        return $this;
    }
    /**
     * Get LineStatusCode value
     * @return \Mnm\LineStatusCodeType|null
     */
    public function getLineStatusCode()
    {
        return $this->LineStatusCode;
    }
    /**
     * Set LineStatusCode value
     * @param \Mnm\LineStatusCodeType $lineStatusCode
     * @return \Mnm\LineReferenceType
     */
    public function setLineStatusCode(\Mnm\LineStatusCodeType $lineStatusCode = null)
    {
        $this->LineStatusCode = $lineStatusCode;
        return $this;
    }
    /**
     * Get DocumentReference value
     * @return \Mnm\DocumentReferenceType|null
     */
    public function getDocumentReference()
    {
        return $this->DocumentReference;
    }
    /**
     * Set DocumentReference value
     * @param \Mnm\DocumentReferenceType $documentReference
     * @return \Mnm\LineReferenceType
     */
    public function setDocumentReference(\Mnm\DocumentReferenceType $documentReference = null)
    {
        $this->DocumentReference = $documentReference;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\LineReferenceType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
