<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PeriodType StructType
 * @subpackage Structs
 */
class PeriodType extends AbstractStructBase
{
    /**
     * The StartDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q1:StartDate
     * @var \Mnm\StartDateType
     */
    public $StartDate;
    /**
     * The StartTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q2:StartTime
     * @var \Mnm\StartTimeType
     */
    public $StartTime;
    /**
     * The EndDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q3:EndDate
     * @var \Mnm\EndDateType
     */
    public $EndDate;
    /**
     * The EndTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q4:EndTime
     * @var \Mnm\EndTimeType
     */
    public $EndTime;
    /**
     * The DurationMeasure
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q5:DurationMeasure
     * @var \Mnm\DurationMeasureType
     */
    public $DurationMeasure;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q6:Description
     * @var \Mnm\DescriptionType
     */
    public $Description;
    /**
     * Constructor method for PeriodType
     * @uses PeriodType::setStartDate()
     * @uses PeriodType::setStartTime()
     * @uses PeriodType::setEndDate()
     * @uses PeriodType::setEndTime()
     * @uses PeriodType::setDurationMeasure()
     * @uses PeriodType::setDescription()
     * @param \Mnm\StartDateType $startDate
     * @param \Mnm\StartTimeType $startTime
     * @param \Mnm\EndDateType $endDate
     * @param \Mnm\EndTimeType $endTime
     * @param \Mnm\DurationMeasureType $durationMeasure
     * @param \Mnm\DescriptionType $description
     */
    public function __construct(\Mnm\StartDateType $startDate = null, \Mnm\StartTimeType $startTime = null, \Mnm\EndDateType $endDate = null, \Mnm\EndTimeType $endTime = null, \Mnm\DurationMeasureType $durationMeasure = null, \Mnm\DescriptionType $description = null)
    {
        $this
            ->setStartDate($startDate)
            ->setStartTime($startTime)
            ->setEndDate($endDate)
            ->setEndTime($endTime)
            ->setDurationMeasure($durationMeasure)
            ->setDescription($description);
    }
    /**
     * Get StartDate value
     * @return \Mnm\StartDateType|null
     */
    public function getStartDate()
    {
        return $this->StartDate;
    }
    /**
     * Set StartDate value
     * @param \Mnm\StartDateType $startDate
     * @return \Mnm\PeriodType
     */
    public function setStartDate(\Mnm\StartDateType $startDate = null)
    {
        $this->StartDate = $startDate;
        return $this;
    }
    /**
     * Get StartTime value
     * @return \Mnm\StartTimeType|null
     */
    public function getStartTime()
    {
        return $this->StartTime;
    }
    /**
     * Set StartTime value
     * @param \Mnm\StartTimeType $startTime
     * @return \Mnm\PeriodType
     */
    public function setStartTime(\Mnm\StartTimeType $startTime = null)
    {
        $this->StartTime = $startTime;
        return $this;
    }
    /**
     * Get EndDate value
     * @return \Mnm\EndDateType|null
     */
    public function getEndDate()
    {
        return $this->EndDate;
    }
    /**
     * Set EndDate value
     * @param \Mnm\EndDateType $endDate
     * @return \Mnm\PeriodType
     */
    public function setEndDate(\Mnm\EndDateType $endDate = null)
    {
        $this->EndDate = $endDate;
        return $this;
    }
    /**
     * Get EndTime value
     * @return \Mnm\EndTimeType|null
     */
    public function getEndTime()
    {
        return $this->EndTime;
    }
    /**
     * Set EndTime value
     * @param \Mnm\EndTimeType $endTime
     * @return \Mnm\PeriodType
     */
    public function setEndTime(\Mnm\EndTimeType $endTime = null)
    {
        $this->EndTime = $endTime;
        return $this;
    }
    /**
     * Get DurationMeasure value
     * @return \Mnm\DurationMeasureType|null
     */
    public function getDurationMeasure()
    {
        return $this->DurationMeasure;
    }
    /**
     * Set DurationMeasure value
     * @param \Mnm\DurationMeasureType $durationMeasure
     * @return \Mnm\PeriodType
     */
    public function setDurationMeasure(\Mnm\DurationMeasureType $durationMeasure = null)
    {
        $this->DurationMeasure = $durationMeasure;
        return $this;
    }
    /**
     * Get Description value
     * @return \Mnm\DescriptionType|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param \Mnm\DescriptionType $description
     * @return \Mnm\PeriodType
     */
    public function setDescription(\Mnm\DescriptionType $description = null)
    {
        $this->Description = $description;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\PeriodType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
