<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RailTransportType StructType
 * @subpackage Structs
 */
class RailTransportType extends AbstractStructBase
{
    /**
     * The TrainID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q207:TrainID
     * @var \Mnm\TrainIDType
     */
    public $TrainID;
    /**
     * The RailCarID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q208:RailCarID
     * @var \Mnm\RailCarIDType
     */
    public $RailCarID;
    /**
     * Constructor method for RailTransportType
     * @uses RailTransportType::setTrainID()
     * @uses RailTransportType::setRailCarID()
     * @param \Mnm\TrainIDType $trainID
     * @param \Mnm\RailCarIDType $railCarID
     */
    public function __construct(\Mnm\TrainIDType $trainID = null, \Mnm\RailCarIDType $railCarID = null)
    {
        $this
            ->setTrainID($trainID)
            ->setRailCarID($railCarID);
    }
    /**
     * Get TrainID value
     * @return \Mnm\TrainIDType|null
     */
    public function getTrainID()
    {
        return $this->TrainID;
    }
    /**
     * Set TrainID value
     * @param \Mnm\TrainIDType $trainID
     * @return \Mnm\RailTransportType
     */
    public function setTrainID(\Mnm\TrainIDType $trainID = null)
    {
        $this->TrainID = $trainID;
        return $this;
    }
    /**
     * Get RailCarID value
     * @return \Mnm\RailCarIDType|null
     */
    public function getRailCarID()
    {
        return $this->RailCarID;
    }
    /**
     * Set RailCarID value
     * @param \Mnm\RailCarIDType $railCarID
     * @return \Mnm\RailTransportType
     */
    public function setRailCarID(\Mnm\RailCarIDType $railCarID = null)
    {
        $this->RailCarID = $railCarID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\RailTransportType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
