<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendDocumentResponse StructType
 * @subpackage Structs
 */
class SendDocumentResponse extends AbstractStructBase
{
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\UserInformation
     */
    public $userInfo;
    /**
     * The responses
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\ArrayOfDocumentResponseInfo
     */
    public $responses;
    /**
     * Constructor method for SendDocumentResponse
     * @uses SendDocumentResponse::setUserInfo()
     * @uses SendDocumentResponse::setResponses()
     * @param \Mnm\UserInformation $userInfo
     * @param \Mnm\ArrayOfDocumentResponseInfo $responses
     */
    public function __construct(\Mnm\UserInformation $userInfo = null, \Mnm\ArrayOfDocumentResponseInfo $responses = null)
    {
        $this
            ->setUserInfo($userInfo)
            ->setResponses($responses);
    }
    /**
     * Get userInfo value
     * @return \Mnm\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Mnm\UserInformation $userInfo
     * @return \Mnm\SendDocumentResponse
     */
    public function setUserInfo(\Mnm\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get responses value
     * @return \Mnm\ArrayOfDocumentResponseInfo|null
     */
    public function getResponses()
    {
        return $this->responses;
    }
    /**
     * Set responses value
     * @param \Mnm\ArrayOfDocumentResponseInfo $responses
     * @return \Mnm\SendDocumentResponse
     */
    public function setResponses(\Mnm\ArrayOfDocumentResponseInfo $responses = null)
    {
        $this->responses = $responses;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\SendDocumentResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
