<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ShipmentInformation StructType
 * @subpackage Structs
 */
class ShipmentInformation extends AbstractStructBase
{
    /**
     * The SendDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $SendDate;
    /**
     * The Carier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\ShipmentCarier
     */
    public $Carier;
    /**
     * Constructor method for ShipmentInformation
     * @uses ShipmentInformation::setSendDate()
     * @uses ShipmentInformation::setCarier()
     * @param string $sendDate
     * @param \Mnm\ShipmentCarier $carier
     */
    public function __construct($sendDate = null, \Mnm\ShipmentCarier $carier = null)
    {
        $this
            ->setSendDate($sendDate)
            ->setCarier($carier);
    }
    /**
     * Get SendDate value
     * @return string
     */
    public function getSendDate()
    {
        return $this->SendDate;
    }
    /**
     * Set SendDate value
     * @param string $sendDate
     * @return \Mnm\ShipmentInformation
     */
    public function setSendDate($sendDate = null)
    {
        $this->SendDate = $sendDate;
        return $this;
    }
    /**
     * Get Carier value
     * @return \Mnm\ShipmentCarier|null
     */
    public function getCarier()
    {
        return $this->Carier;
    }
    /**
     * Set Carier value
     * @param \Mnm\ShipmentCarier $carier
     * @return \Mnm\ShipmentInformation
     */
    public function setCarier(\Mnm\ShipmentCarier $carier = null)
    {
        $this->Carier = $carier;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\ShipmentInformation
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
