<?php

namespace Mnm;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TaxCategoryType StructType
 * @subpackage Structs
 */
class TaxCategoryType extends AbstractStructBase
{
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q185:Name
     * @var \Mnm\NameType
     */
    public $Name;
    /**
     * The TaxExemptionReasonCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q186:TaxExemptionReasonCode
     * @var \Mnm\TaxExemptionReasonCodeType
     */
    public $TaxExemptionReasonCode;
    /**
     * The TaxExemptionReason
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q187:TaxExemptionReason
     * @var \Mnm\TaxExemptionReasonType
     */
    public $TaxExemptionReason;
    /**
     * The TaxScheme
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Mnm\TaxSchemeType
     */
    public $TaxScheme;
    /**
     * Constructor method for TaxCategoryType
     * @uses TaxCategoryType::setName()
     * @uses TaxCategoryType::setTaxExemptionReasonCode()
     * @uses TaxCategoryType::setTaxExemptionReason()
     * @uses TaxCategoryType::setTaxScheme()
     * @param \Mnm\NameType $name
     * @param \Mnm\TaxExemptionReasonCodeType $taxExemptionReasonCode
     * @param \Mnm\TaxExemptionReasonType $taxExemptionReason
     * @param \Mnm\TaxSchemeType $taxScheme
     */
    public function __construct(\Mnm\NameType $name = null, \Mnm\TaxExemptionReasonCodeType $taxExemptionReasonCode = null, \Mnm\TaxExemptionReasonType $taxExemptionReason = null, \Mnm\TaxSchemeType $taxScheme = null)
    {
        $this
            ->setName($name)
            ->setTaxExemptionReasonCode($taxExemptionReasonCode)
            ->setTaxExemptionReason($taxExemptionReason)
            ->setTaxScheme($taxScheme);
    }
    /**
     * Get Name value
     * @return \Mnm\NameType|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param \Mnm\NameType $name
     * @return \Mnm\TaxCategoryType
     */
    public function setName(\Mnm\NameType $name = null)
    {
        $this->Name = $name;
        return $this;
    }
    /**
     * Get TaxExemptionReasonCode value
     * @return \Mnm\TaxExemptionReasonCodeType|null
     */
    public function getTaxExemptionReasonCode()
    {
        return $this->TaxExemptionReasonCode;
    }
    /**
     * Set TaxExemptionReasonCode value
     * @param \Mnm\TaxExemptionReasonCodeType $taxExemptionReasonCode
     * @return \Mnm\TaxCategoryType
     */
    public function setTaxExemptionReasonCode(\Mnm\TaxExemptionReasonCodeType $taxExemptionReasonCode = null)
    {
        $this->TaxExemptionReasonCode = $taxExemptionReasonCode;
        return $this;
    }
    /**
     * Get TaxExemptionReason value
     * @return \Mnm\TaxExemptionReasonType|null
     */
    public function getTaxExemptionReason()
    {
        return $this->TaxExemptionReason;
    }
    /**
     * Set TaxExemptionReason value
     * @param \Mnm\TaxExemptionReasonType $taxExemptionReason
     * @return \Mnm\TaxCategoryType
     */
    public function setTaxExemptionReason(\Mnm\TaxExemptionReasonType $taxExemptionReason = null)
    {
        $this->TaxExemptionReason = $taxExemptionReason;
        return $this;
    }
    /**
     * Get TaxScheme value
     * @return \Mnm\TaxSchemeType|null
     */
    public function getTaxScheme()
    {
        return $this->TaxScheme;
    }
    /**
     * Set TaxScheme value
     * @param \Mnm\TaxSchemeType $taxScheme
     * @return \Mnm\TaxCategoryType
     */
    public function setTaxScheme(\Mnm\TaxSchemeType $taxScheme = null)
    {
        $this->TaxScheme = $taxScheme;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Mnm\TaxCategoryType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
